Problem with Permissions Ex

Discussion in 'Spigot Help' started by xsperiorZ, Jun 3, 2017.

  1. When i restart my server appear this error:
    Please help


    Could not load 'plugins\/PermissionsEx-1.23.2.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:160) ~[craftbukkit.jar:git-Bukkit-d3e0b6f]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [craftbukkit.jar:git-Bukkit-d3e0b6f]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:289) [craftbukkit.jar:git-Bukkit-d3e0b6f]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.(CraftServer.java:251) [craftbukkit.jar:git-Bukkit-d3e0b6f]
    at net.minecraft.server.v1_8_R3.PlayerList.(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-d3e0b6f]
    at net.minecraft.server.v1_8_R3.DedicatedPlayerList.(SourceFile:14) [craftbukkit.jar:git-Bukkit-d3e0b6f]

    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:179) [craftbukkit.jar:git-Bukkit-d3e0b6f]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:504) [craftbukkit.jar:git-Bukkit-d3e0b6f]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_111]

    Caused by: java.util.zip.ZipException: error in opening zip file

    at java.util.zip.ZipFile.open(Native Method) ~[?:1.8.0_111]

    at java.util.zip.ZipFile.(ZipFile.java:219) ~[?:1.8.0_111]

    at java.util.zip.ZipFile.(ZipFile.java:149) ~[?:1.8.0_111]

    at java.util.jar.JarFile.(JarFile.java:166) ~[?:1.8.0_111]

    at java.util.jar.JarFile.(JarFile.java:130) ~[?:1.8.0_111]

    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:148) ~[craftbukkit.jar:git-Bukkit-d3e0b6f]
    ... 8 more
     
  2. BGHDDevelopment

    Benefactor

    Contact plugin dev or try downloading the newst version
     
  3. Are you using linux? I guess you jar file has wrong permission or owner group.
     
  4. Hey, which Server Version use used?
    and maybe you can use a other Pex Version??
     
  5. anyone noticed its saying Caused by: java.util.zip.ZipException: error in opening zip file
     
  6. that will be your proplem
     
  7. I think the system hasn't permission to open the jar file
     
  8. Do you, by any chance, load a zip file?
     
  9. From what I see, it is possible you have a corrupted and outdated jar. You are using PEX version 1.23.2, but the latest is 1.23.4. Try installing latest and report back.